/*
Core

Core API is used to manage resources around organisation like auth, set webhooks per channels, manage campaigns.

API version: 1.0
*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech); DO NOT EDIT.

package coreapi

import (
	"encoding/json"
)

// checks if the MediaCenterTranslation type satisfies the MappedNullable interface at compile time
var _ MappedNullable = &MediaCenterTranslation{}

// MediaCenterTranslation struct for MediaCenterTranslation
type MediaCenterTranslation struct {
	Language string `json:"language"`
	Text string `json:"text"`
}

// NewMediaCenterTranslation instantiates a new MediaCenterTranslation object
// This constructor will assign default values to properties that have it defined,
// and makes sure properties required by API are set, but the set of arguments
// will change when the set of required properties is changed
func NewMediaCenterTranslation(language string, text string) *MediaCenterTranslation {
	this := MediaCenterTranslation{}
	this.Language = language
	this.Text = text
	return &this
}

// NewMediaCenterTranslationWithDefaults instantiates a new MediaCenterTranslation object
// This constructor will only assign default values to properties that have it defined,
// but it doesn't guarantee that properties required by API are set
func NewMediaCenterTranslationWithDefaults() *MediaCenterTranslation {
	this := MediaCenterTranslation{}
	return &this
}

// GetLanguage returns the Language field value
func (o *MediaCenterTranslation) GetLanguage() string {
	if o == nil {
		var ret string
		return ret
	}

	return o.Language
}

// GetLanguageOk returns a tuple with the Language field value
// and a boolean to check if the value has been set.
func (o *MediaCenterTranslation) GetLanguageOk() (*string, bool) {
	if o == nil {
		return nil, false
	}
	return &o.Language, true
}

// SetLanguage sets field value
func (o *MediaCenterTranslation) SetLanguage(v string) {
	o.Language = v
}

// GetText returns the Text field value
func (o *MediaCenterTranslation) GetText() string {
	if o == nil {
		var ret string
		return ret
	}

	return o.Text
}

// GetTextOk returns a tuple with the Text field value
// and a boolean to check if the value has been set.
func (o *MediaCenterTranslation) GetTextOk() (*string, bool) {
	if o == nil {
		return nil, false
	}
	return &o.Text, true
}

// SetText sets field value
func (o *MediaCenterTranslation) SetText(v string) {
	o.Text = v
}

func (o MediaCenterTranslation) MarshalJSON() ([]byte, error) {
	toSerialize,err := o.ToMap()
	if err != nil {
		return []byte{}, err
	}
	return json.Marshal(toSerialize)
}

func (o MediaCenterTranslation) ToMap() (map[string]interface{}, error) {
	toSerialize := map[string]interface{}{}
	toSerialize["language"] = o.Language
	toSerialize["text"] = o.Text
	return toSerialize, nil
}

type NullableMediaCenterTranslation struct {
	value *MediaCenterTranslation
	isSet bool
}

func (v NullableMediaCenterTranslation) Get() *MediaCenterTranslation {
	return v.value
}

func (v *NullableMediaCenterTranslation) Set(val *MediaCenterTranslation) {
	v.value = val
	v.isSet = true
}

func (v NullableMediaCenterTranslation) IsSet() bool {
	return v.isSet
}

func (v *NullableMediaCenterTranslation) Unset() {
	v.value = nil
	v.isSet = false
}

func NewNullableMediaCenterTranslation(val *MediaCenterTranslation) *NullableMediaCenterTranslation {
	return &NullableMediaCenterTranslation{value: val, isSet: true}
}

func (v NullableMediaCenterTranslation) MarshalJSON() ([]byte, error) {
	return json.Marshal(v.value)
}

func (v *NullableMediaCenterTranslation) UnmarshalJSON(src []byte) error {
	v.isSet = true
	return json.Unmarshal(src, &v.value)
}


